class Movie {
  String title;
  int checkouts;
  PImage img;
  int criticsScore, audienceScore;
  String criticsRating, audienceRating;
  
  Movie(JSONObject movieJSON, int checkoutCount) {
    checkouts = checkoutCount;
    
    try {
      title = movieJSON.getString("title");
    } catch(Exception JSONException) {
      println("Couldn't get movie title from JSONObject");
      println(JSONException);
      System.exit(1);
    }
    
    try {
      JSONObject ratings = movieJSON.getJSONObject("ratings");
      criticsScore = ratings.getInt("critics_score");
      audienceScore = ratings.getInt("audience_score");
      criticsRating = ratings.getString("critics_rating");
      audienceRating = ratings.getString("audience_rating");
    } catch(Exception JSONException) {
      println("Couldn't get ratings from JSONObject");
      println(JSONException);
      System.exit(1);
    }
    
    
    try {
      String posterURL = movieJSON.getJSONObject("posters").getString("profile");
      if (pdf)
        img = loadImage(posterURL);
      else
        img = requestImage(posterURL);
    } catch (Exception JSONException) {
      println("Couldn't find poster for movie: " + title);
      println(JSONException);
      System.exit(1);
    }

  }
  
}
